> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get pending expenses

> Get all pending expenses for the current year, for the authenticated user



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=4&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox get /v4/expenses/pendingExpenses
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Expenses
  - name: Revenue
  - name: Business & Client Management
  - name: Invoicing
  - name: Reports
  - name: Taxes
  - name: Accounting
  - name: Investment Incomes
paths:
  /v4/expenses/pendingExpenses:
    get:
      tags:
        - Expenses
      summary: Get pending expenses
      description: >-
        Get all pending expenses for the current year, for the authenticated
        user
      operationId: getPendingExpenses
      parameters:
        - name: lastUpdatedDate
          in: query
          description: Date filter - returns all records updated after the specified date
          schema:
            type: string
          example: '2021-05-05'
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/PendingExpenseDTOV4'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    PendingExpenseDTOV4:
      required:
        - id
      type: object
      properties:
        id:
          type: integer
          description: Id of the pending expense record
          format: int64
        date:
          type: string
          description: Date of the pending expense
          format: date-time
        totalCost:
          type: number
          description: Total Cost of the PendingExpense
          example: 50.01
        categoryId:
          type: integer
          description: Category Id of the pending expense, required for BUSINESS expenses
          format: int64
        personalCategoryId:
          type: integer
          description: Id of the personal category associated with this pending expense
          format: int64
        confidence:
          type: string
          description: Confidence of a tax deduction for this pending expense
          example: QUESTIONABLE
          enum:
            - LIKELY
            - QUESTIONABLE
            - UNLIKELY
        vendorId:
          type: integer
          description: Vendor Id associated with the pending expense
          format: int64
        vendorName:
          type: string
          description: Name of this vendor associated with this pending expense
          example: United Airlines
        plaidInstitutionId:
          type: string
          description: The id of the institution that the transaction originated from
        plaidDisplayName:
          type: string
          description: Plaid's display name for this pending expense
          example: Citi Premier® Card
        plaidAccountNo:
          type: string
          description: The mask of the user's bank account
        plaidItemAccountId:
          type: integer
          description: Id of the plaidItemAccount associated with this pending expense
          format: int64
        apiExpenseId:
          type: string
          description: Id of the expense record on associated API
        description:
          type: string
          description: Description of pending expense
          example: Gas purchase
        state:
          type: string
          description: State value for pending expense sales tax amount
          example: DC
          enum:
            - UNKNOWN
            - AL
            - AK
            - AS
            - AZ
            - AR
            - CA
            - CO
            - CT
            - DE
            - DC
            - FM
            - FL
            - GA
            - GU
            - HI
            - ID
            - IL
            - IN
            - IA
            - KS
            - KY
            - LA
            - ME
            - MD
            - MH
            - MA
            - MI
            - MN
            - MS
            - MO
            - MT
            - NE
            - NV
            - NH
            - NJ
            - NM
            - NY
            - NC
            - ND
            - MP
            - OH
            - OK
            - OR
            - PW
            - PA
            - PR
            - RI
            - SC
            - SD
            - TN
            - TX
            - UT
            - VT
            - VI
            - VA
            - WA
            - WV
            - WI
            - WY
            - AB
            - BC
            - MB
            - NB
            - NL
            - NT
            - NS
            - NU
            - 'ON'
            - PE
            - QC
            - SK
            - YT
        salesTaxAmount:
          type: number
          description: Sales Tax Amount for the pending expense
          example: 1.01
        type:
          type: string
          description: Type of the Expense
          example: NOT_BUSINESS
          enum:
            - BUSINESS
            - NOT_BUSINESS
        businessId:
          type: integer
          description: >-
            Id of business assigned to this pending expense, required for
            BUSINESS expenses
          format: int64
        clientId:
          type: integer
          description: Id of client assigned to this pending expense
          format: int64
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````